## com.fasterxml.jackson.core.io
Class CharTypes

    java.lang.Object
      com.fasterxml.jackson.core.io.CharTypes

    public final class CharTypes

extends Object

Constructor Summary
`CharTypes()`

Method Summary
`static void` `appendQuoted(StringBuilder sb, String content)`
`static int` `charToHex(int ch)`
`static byte[]` `copyHexBytes()`
`static char[]` `copyHexChars()`
`static int[]` `get7BitOutputEscapes()` Accessor for getting a read-only encoding table for first 128 Unicode code points (single-byte UTF-8 characters).
`static int[]` `getInputCodeComment()`
`static int[]` `getInputCodeLatin1()`
`static int[]` `getInputCodeLatin1JsNames()`
`static int[]` `getInputCodeUtf8()`
`static int[]` `getInputCodeUtf8JsNames()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharTypes

    public CharTypes()

Method Detail

### getInputCodeLatin1

    public static final int[] getInputCodeLatin1()

### getInputCodeUtf8

    public static final int[] getInputCodeUtf8()

### getInputCodeLatin1JsNames

    public static final int[] getInputCodeLatin1JsNames()

### getInputCodeUtf8JsNames

    public static final int[] getInputCodeUtf8JsNames()

### getInputCodeComment

    public static final int[] getInputCodeComment()

### get7BitOutputEscapes

    public static final int[] get7BitOutputEscapes()

  Accessor for getting a read-only encoding table for first 128 Unicode code points (single-byte UTF-8 characters). Value of 0 means "no escaping"; other positive values that value is character to use after backslash; and negative values that generic (backslash - u) escaping is to be used.

### charToHex

    public static int charToHex(int ch)

### appendQuoted

    public static void appendQuoted(StringBuilder sb,
                                    String content)

### copyHexChars

    public static char[] copyHexChars()

### copyHexBytes

    public static byte[] copyHexBytes()

Copyright © 2012 fasterxml.com. All Rights Reserved.